#include <stdio.h>
#include <string.h>
#include <stdint.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

void setRandom(char buffer[], int n)
{
 int i;
 
 for (i=0; i<n; i++)
     buffer[i] = rand() % 256;
}


int main(int argc, char* argv[])
{
 int fifo;
 char buffer[1024];
 int i, n;
  
 if (argc != 2)
	{
		printf("Uso: %s numero-pacchetti\r\n", argv[0]);
		return -1;
	}
 n = atoi(argv[1]);
 fifo = open("INPUT", O_WRONLY);
 if (fifo <= 0)
 {
	printf("Errore apertura FIFO\r\n");
	return -1;
 }
 for (i=0; i<n; i++)
 {
     setRandom(buffer, 1024);
     write(fifo, buffer, 1024);    
 }
 close(fifo);
 return 0;
}
