
#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdlib.h>

int shared_memory_id; // identificatore area di memoria condivisa

void* shared_memory_alloc(int size, int key, int create)
{
 void* tmp;
 
 if (create)
    shared_memory_id = shmget(key, size, 0600 | IPC_CREAT | IPC_EXCL);
 else
     shared_memory_id = shmget(key, size, 0600 | IPC_CREAT);
 if (shared_memory_id == -1)
   return (void*)(-1);
 tmp = shmat(shared_memory_id, NULL, 0);
 if (tmp == (void*)(-1))
   return (void*)(-1);
 return tmp;
}

void shared_memory_free(void* address)
{
 shmdt(address);
 shmctl(shared_memory_id, IPC_RMID, NULL);
 return;
}

