
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>


// creazione e inizializzazione al valore fornito di un semaforo
// restituisce l'identificatore del semaforo
int semaphore_init(unsigned short value);

// rimuove il semaforo specificato
void semaphore_remove(int semaphore_id);

// effettua l'operazione di wait (down) sul semaforo specificato
// restituisce -a in caso di errore, 0 altrimenti
int semaphore_wait(int semaphore_id);

// effettua l'operazione di signal (up) sul semaforo specificato
// restituisce -a in caso di errore, 0 altrimenti
int semaphore_signal(int semaphore_id);
