
// allocazione di un'area di memoria condivisa
// restituisce il puntatore allarea allocata, -1 in caso di errore
void* shared_memory_alloc(int size);

// allocazione di un'area di memoria condivisa identificata da una chiave
// create == 1 => creazione; create == 0 => collegamento
// restituisce il puntatore allarea allocata, -1 in caso di errore
void* shared_memory_alloc_key(int size, int key, int create);

// rimozione di un'area di memoria condivisa allocata in precedenza
void shared_memory_free(void* address);
